org.eclipse.microprofile.fault.tolerance.tck.illegalConfig

## Class FallbackMethodClient

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.illegalConfig.FallbackMethodClient

    @RequestScoped
    public class FallbackMethodClient
    extends Object

A client to demonstrate the fallback after doing retries

Author:
  Neil Young

### Constructor Summary

Constructors
Constructor and Description
`FallbackMethodClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `fallbackForServiceB()` Fallback method with incompatible signature, different return type
`Integer` `serviceB()` Retry 5 times and then fallback

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackMethodClient

    public FallbackMethodClient()

### Method Detail

#### serviceB

    @Retry(maxRetries=4)
     @Fallback(fallbackMethod="fallbackForServiceB")
    public Integer serviceB()

Retry 5 times and then fallback

Returns:
  a dummy number

#### fallbackForServiceB

    public String fallbackForServiceB()

Fallback method with incompatible signature, different return type

Returns:
  dummy string